Expose the foreman-tasks pool size via config/installer
Status: Closed   

Priority: Normal   

Assignee: Adam Ruzicka   

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1420397 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/4897,

https://github.com/theforeman/puppet-for

eman/pull/596,

https://github.com/theforeman/puppet-for

eman/pull/598

  

Description

Currently, we use a pool of 5 workers in the foreman-tasks to handle the incoming requests. At large scale, this might not be enough.

For start, we should be

at least able to set the number of works via config file/installer

As a workaround, one would need to edit `pool_size` in initialize method of

/opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-*/lib/foreman_tasks/dynflow/configurati

on.rb

 and after changing the size, restart the foreman-tasks service

Associated revisions

Revision be9c5b93 - 10/09/2017 07:10 PM - Adam Růžička 

Fixes #18422 - Allow configuring Dynflow pool size

Revision 04391025 - 10/11/2017 01:56 PM - Adam Ruzicka

Fixes #18422 - Expose dynflow worker pool size in config

History

#1 - 02/08/2017 09:50 AM - Ivan Necas

- Subject changed from Expose the foreman-tasks pool size via config/installer

 to Expose the foreman-tasks pool size via config/installer

- Target version set to 1.11.3

#2 - 09/21/2017 09:14 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Adam Ruzicka

- Pull request https://github.com/theforeman/foreman-tasks/pull/284 added

#3 - 10/06/2017 12:29 PM - Ivan Necas

- Project changed from foreman-tasks to Foreman

#4 - 10/06/2017 12:30 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/4897 added
#5 - 10/09/2017 08:04 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset puppet-foreman:puppet-foreman|be9c5b9396a64f6e5fb7649f5af31bedc5b874ce.

#6 - 10/10/2017 02:47 AM - Adam Ruzicka

- Pull request https://github.com/theforeman/puppet-foreman/pull/596 added

- Pull request deleted (https://github.com/theforeman/foreman-tasks/pull/284)

The Foreman PR was not merged yet and for some reason redmine won't let me reopen this issue

#7 - 10/10/2017 03:49 AM - Adam Ruzicka

- Target version changed from 1.11.3 to 226

#8 - 10/13/2017 01:27 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-foreman/pull/598 added
